### Type parameters

- #### T

- #### R: Attribute

### Hierarchy

- PropertyMetadata

## Index

### Properties

- isSortedCollection
- key
- keyForGSI
- mapper
- name
- nameDb
- sortKeyForLSI
- transient
- typeInfo

## Properties

### Optional isSortedCollection

isSortedCollection: undefined | false | true

- Defined in decorator/metadata/property-metadata.model.ts:39

### Optional key

key: Key

- Defined in decorator/metadata/property-metadata.model.ts:22

### Optional keyForGSI

keyForGSI: Record<string, DynamoDB.KeyType>

- Defined in decorator/metadata/property-metadata.model.ts:44

### Optional mapper

mapper: undefined | function

- Defined in decorator/metadata/property-metadata.model.ts:41

### name

name: keyof T

- Defined in decorator/metadata/property-metadata.model.ts:25

### nameDb

nameDb: string

- Defined in decorator/metadata/property-metadata.model.ts:28

### Optional sortKeyForLSI

sortKeyForLSI: string[]

- Defined in decorator/metadata/property-metadata.model.ts:47

### Optional transient

transient: undefined | false | true

- Defined in decorator/metadata/property-metadata.model.ts:50

### Optional typeInfo

typeInfo: TypeInfo

- Defined in decorator/metadata/property-metadata.model.ts:34

Generated using TypeDoc